import {Request, Response} from 'express';
import interwiki from '../../components/interwiki';

const PAGE_NAME_REGEXP = /^[\w-:]*$/;

export default async (req: Request, res: Response) => {
    const wikiName = req.params.wiki_name;
    const lang = req.query.lang || 'en';
    const pageName = (req.query.page || '').replace(/^_default:/, '');

    if (!pageName || !PAGE_NAME_REGEXP.test(pageName)) {
        return res.send('');
    }

    return res.send(interwiki(wikiName, pageName, lang));
};
