import {Request, Response} from 'express';
import {reportError} from '../../core/utils';
import db from '../../core/db';

export default async (req: Request, res: Response) => {
    try {
        const {name} = await db.one('SELECT name FROM wikidot_random_page');
        res.redirect(`http://scpfoundation.ru/${name}`);
    } catch(error) {
        res.status(500).send('Unhandled internal error, incident reported');
        reportError(error, {tags: {location: 'wikidot/random-page'}});
    }
};
