import * as schedule from 'node-schedule';
import {enqueue, log, logToDiscord} from './core/utils';

export default function initScheduler() {
    if (process.env.APP_ENV === 'development') {
        return;
    }
    log('Scheduler inited');

    schedule.scheduleJob('00 01 * * *', () => {
        logToDiscord('Scheduling members import');
        enqueue('members-import-init', ['scp-ru']);
    });

    schedule.scheduleJob('00 02 * * *', () => {
        logToDiscord('Scheduling discord member roles sync');
        enqueue('discord-roles-sync', []);
    });

    schedule.scheduleJob('00 * * * *', () => {
        logToDiscord('Scheduling pages list import');
        enqueue('pages-lists-import', []);
    });

    schedule.scheduleJob('00 00 * * *', () => {
        logToDiscord('Scheduling featured daily rotation');
        enqueue('featured-daily-rotation', []);
    });

    schedule.scheduleJob('05 02 */3 * *', () => {
        logToDiscord('Scheduling full wikidot pages import');
        enqueue('wiki-pages-import', []);
    });

    schedule.scheduleJob('00 07 */3 * *', () => {
        logToDiscord('Scheduling object titles extraction');
        enqueue('object-titles-extraction', []);
    });
}
