import * as Bluebird from 'bluebird';
import {log, reportError, enqueue} from '../core/utils';
import {wk, SITES_LIST, WikidotXMLRPCPage, SITES} from '../components/wikidot-kit';

const WIKIDOT_IMPORT_CONCURRENCY = 2;

export async function run() {
    log('Performing full import');

    const sitesList = SITES_LIST
        .filter(s => s.interwiki)
        .map(s => s.name);

    const enqueueWiki = async (siteName: string) => {
        const pagesList: any = await wk.fetchPagesList(siteName);
        return Bluebird.all(pagesList.map((pageName: string) => {
            return enqueue('page-import', [siteName, pageName])
        }));
    };

    return Bluebird.all(sitesList.map(enqueueWiki));
}
